diff --git a/web/pgadmin/static/css/aci_tree.overrides.css b/web/pgadmin/static/css/aci_tree.overrides.css
index a73a4d1f..6d93ed2d 100644
--- a/web/pgadmin/static/css/aci_tree.overrides.css
+++ b/web/pgadmin/static/css/aci_tree.overrides.css
@@ -1,4 +1,21 @@
 .aciTree .aciTreeText {
     font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
     font-size: 12px;
+}
+
+/* Hover over an element */
+.aciTree .aciTreeLine.aciTreeHover .aciTreeItem  {
+    background-color: #e7f2ff;
+    border-color: #84acdd;
+}
+
+/* Selected element and in focus*/
+.aciTree.aciTreeFocus .aciTreeFocus > .aciTreeLine .aciTreeItem {
+    background-color: #e7f2ff;
+}
+
+/* Selected element but not in focus */
+.aciTree .aciTreeSelected > .aciTreeLine .aciTreeItem {
+    background-color: #e7f2ff;
+    border-color: #84acdd;
 }
\ No newline at end of file
diff --git a/web/pgadmin/static/css/select2.overrides.css b/web/pgadmin/static/css/select2.overrides.css
new file mode 100644
index 00000000..3c27314a
--- /dev/null
+++ b/web/pgadmin/static/css/select2.overrides.css
@@ -0,0 +1,4 @@
+.select2-container--default .select2-results__option--highlighted[aria-selected] {
+  background-color: #e7f2ff;
+  color: #333333;
+}
\ No newline at end of file
diff --git a/web/pgadmin/templates/base.html b/web/pgadmin/templates/base.html
index 829c195b..a23e20ea 100755
--- a/web/pgadmin/templates/base.html
+++ b/web/pgadmin/templates/base.html
@@ -61,6 +61,7 @@
 
     <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename='css/bootstrap.overrides.css') }}"/>
     <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename='css/aci_tree.overrides.css') }}"/>
+    <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename='css/select2.overrides.css') }}"/>
     <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename='css/pgadmin.css') }}"/>
     <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename='css/pgadmin.style.css') }}"/>
     {% block css_link %}{% endblock %}
